Package org.apache.ignite.internal.processors.platform.client.service

## Class ClientServiceDescriptorsResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerResponse
  - - org.apache.ignite.internal.processors.platform.client.ClientResponse
    - - org.apache.ignite.internal.processors.platform.client.service.ClientServiceDescriptorsResponse

All Implemented Interfaces:
  `ClientOutgoingMessage`

    public class ClientServiceDescriptorsResponse
    extends ClientResponse

Service descriptors.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`STATUS_FAILED, STATUS_SUCCESS`

### Constructor Summary

Constructors
`ClientServiceDescriptorsResponse​(long reqId, Collection<ServiceDescriptor> svcs)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `encode​(ClientConnectionContext ctx, BinaryRawWriterEx writer)` Encodes the response data.
`static void` `writeDescriptor​(BinaryRawWriterEx writer, ServiceDescriptor svc)`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientResponse

`encode, requestId`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`error, error, onSent, status, status`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientServiceDescriptorsResponse

    public ClientServiceDescriptorsResponse​(long reqId,
                                            Collection<ServiceDescriptor> svcs)

Parameters:
  `reqId` - Request id.
  `svcs` - Services descriptors.

### Method Detail

#### encode

    public void encode​(ClientConnectionContext ctx,
                       BinaryRawWriterEx writer)

Encodes the response data.

Specified by:
  `encode` in interface `ClientOutgoingMessage`
Overrides:
  `encode` in class `ClientResponse`
Parameters:
  `ctx` - Connection context.
  `writer` - Writer.

#### writeDescriptor

    public static void writeDescriptor​(BinaryRawWriterEx writer,
                                       ServiceDescriptor svc)